Announcement

Announcement Module
Collapse
No announcement yet.

rpm xTrabackup 1.2 fails asking for mysql-client

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • rpm xTrabackup 1.2 fails asking for mysql-client

    Hi all,
    I'm trying to upgrade xTrabackup to 1.2 version but rpm fails. Here is my configuration:

    - Server version: 5.1.50-log MySQL Community Server (GPL)

    [root@xtrabackup]$ uname -a
    Linux xtrabackup.devcs.belkin 2.6.18-164.el5 #1 SMP Tue Aug 18 15:51:48 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

    [root@xtrabackup]$ rpm -qa | grep -i -e backup
    xtrabackup-1.0-56.rhel5

    [root@xtrabackup]$ rpm -ihv xtrabackup-1.2-22.rhel5.x86_64.rpm
    warning: xtrabackup-1.2-22.rhel5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID cd2efd2a
    error: Failed dependencies:
    mysql-client is needed by xtrabackup-1.2-22.rhel5.x86_64

    [root@xtrabackup]$ rpm -Uhv xtrabackup-1.2-22.rhel5.x86_64.rpm
    warning: xtrabackup-1.2-22.rhel5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID cd2efd2a
    error: Failed dependencies:
    mysql-client is needed by xtrabackup-1.2-22.rhel5.x86_64

    Any help will be much appreciated.
    Thanks.

  • #2
    I tried doing the same and am having the same problem.

    I'm running Redhat 5.4 using MYSQL-Community 5.1.50

    I tried installing the Percona Repo but that seems to want to install the Percona version of Mysql which I believe will overwrite my current installed version of MYSQL
    Percona-SQL-client-50

    Does anyone has any information on how I can upgrade my current version of XTRABACKUP from 1.0-56.rhel5 to xtrabackup-1.2-22.rhel5.x86_64.rpm

    Comment


    • #3
      So, I found what I believe is a work around...

      I downloaded and installed MYSQL-Client-Community version 5.1.50-1.rhel5

      Once I did that I was able to install Xtrabackup 1.2-22 without any further issues.

      Now, my question is, I had MYSQL-Server-Community installed.
      WOuld doing this affect my current server installation?


      [root@ems-mysql01 tmp]# rpm -Uhv MySQL-client-community-5.1.50-1.rhel5.x86_64.rpm
      Preparing... ########################################### [100%]
      1:MySQL-client-community ########################################### [100%]
      [root@ems-mysql01 tmp]# rpm -Uhv xtrabackup-1.2-22.rhel5.x86_64.rpm
      warning: xtrabackup-1.2-22.rhel5.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID cd2efd2a
      Preparing... ########################################### [100%]
      1:xtrabackup ########################################### [100%]

      Comment


      • #4
        Thanks.

        >>Now, my question is, I had MYSQL-Server-Community installed.
        >>WOuld doing this affect my current server installation?

        Don't know the answer for the above question.

        Then few additional questions:

        1. Why mysql client is required in the MySQL server to install xtrabackup 1.2?

        2. For MySQL 5.1.50 Community server and innodb plugin ON what is the xtrabackup version recommended to install?

        Thanks.

        Comment


        • #5
          Anyone knows why mysql client is required in the MySQL server to install xtrabackup 1.2?

          Comment

          Working...
          X